import os
from pydantic import BaseSettings
from tos_execute import __version__


class BasicSettings(BaseSettings):
    application_name: str = "Talend Open Studio Executor Agent"
    application_version: str = __version__.__version__
    talend_base_folder: str = "/etc/talend"
    talend_job_cache: str = "/tmp/jobs"
    talend_output_context_param: str = ""
    db_uri: str = "postgresql://tos:agent@localhost:5432/tosagent"


def get_version():
    return BasicSettings().application_version


agent_config_parameters = {
    "talend_job_cache",
    "talend_output_context_param",
}

agent_description = ""
with open(
    os.path.join(os.path.dirname(__file__), os.pardir, "README.md"), "r"
) as readme:
    agent_description = readme.read()
